Bug 169179 - tomcat5 - error in %post script for tomcat5-servlet-2.4-api
tomcat5 - error in %post script for tomcat5-servlet-2.4-api
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devrim GUNDUZ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 22:50 EDT by Michal Jaegermann
Modified: 2008-01-05 08:49 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.5.25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 08:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-09-23 22:50:10 EDT
Description of problem:

$ rpm -q --scripts tomcat5-servlet-2.4-api
postinstall scriptlet (using /bin/sh):
/usr/bin/rebuild-gcj-db
postuninstall scriptlet (using /bin/sh):
/usr/bin/rebuild-gcj-db

but during an installation one gets:

/var/tmp/rpm-tmp.60467: line 1: /usr/bin/rebuild-gcj-db: No such file or directory
error: %post(tomcat5-servlet-2.4-api-5.0.30-8jpp_3fc.x86_64) scriptlet failed,
exit status 127

and indeed there is no /usr/bin/rebuild-gcj-db anywhere in sight.
As a result a system is left with both

tomcat5-servlet-2.4-api-5.0.30-8jpp_2fc
tomcat5-servlet-2.4-api-5.0.30-8jpp_3fc

packages.  A missing dependency?

Version-Release number of selected component (if applicable):
tomcat5-servlet-2.4-api-5.0.30-8jpp_2fc and tomcat5-servlet-2.4-api-5.0.30-8jpp_3fc
Comment 1 Ivan Gyurdiev 2005-09-25 00:52:00 EDT
I can confirm this bug. It also occurs with the tomcat5-jasper package.


Comment 2 Ivan Gyurdiev 2005-09-25 01:10:40 EDT
...and the tomcat5 package.
Comment 3 Orion Poplawski 2006-03-02 12:42:00 EST
Requires(post): /usr/bin/rebuild-gcj-db
Comment 4 Devrim GUNDUZ 2008-01-05 08:45:46 EST
Already fixed in the latest packages.

Closing.

Note You need to log in before you can comment on or make changes to this bug.